package swagger

import (
	"github.com/labstack/echo/v4"
	"go.mongodb.org/mongo-driver/mongo"
	"go.uber.org/zap"
	"penahub.gitlab.yandexcloud.net/pena-services/customer/internal/interface/repository"
)

type API2 struct {
	logger  *zap.Logger
	history repository.HistoryRepository
}

var _ ServerInterface = (*API2)(nil)

func NewAPI2(logger *zap.Logger, db *mongo.Database) API2 {
	return API2{
		logger:  logger,
		history: repository.NewHistoryRepository2(logger, db.Collection("histories")),
	}
}

func (api *API2) SendReport(_ echo.Context) error {
	panic("TODO")
}

func (api *API2) DeleteAccount(_ echo.Context) error {
	panic("TODO")
}

func (api *API2) GetRecentTariffs(_ echo.Context) error {
	panic("TODO")
}

func (api *API2) GetAccount(_ echo.Context) error {
	panic("TODO")
}

func (api *API2) ChangeAccount(_ echo.Context) error {
	panic("TODO")
}

func (api *API2) AddAccount(_ echo.Context) error {
	panic("TODO")
}

func (api *API2) DeleteDirectAccount(_ echo.Context, _ string) error {
	panic("TODO")
}

func (api *API2) GetDirectAccount(_ echo.Context, _ string) error {
	panic("TODO")
}

func (api *API2) SetAccountVerificationStatus(_ echo.Context, _ string) error {
	panic("TODO")
}

func (api *API2) PaginationAccounts(_ echo.Context, _ PaginationAccountsParams) error {
	panic("TODO")
}

func (api *API2) RemoveFromCart(_ echo.Context, _ RemoveFromCartParams) error {
	panic("TODO")
}

func (api *API2) Add2cart(_ echo.Context, _ Add2cartParams) error {
	panic("TODO")
}

func (api *API2) PayCart(_ echo.Context) error {
	panic("TODO")
}

func (api *API2) GetCurrencies(_ echo.Context) error {
	panic("TODO")
}

func (api *API2) UpdateCurrencies(_ echo.Context) error {
	panic("TODO")
}

func (api *API2) GetHistory(_ echo.Context, _ GetHistoryParams) error {
	panic("TODO")
}

func (api *API2) ChangeCurrency(_ echo.Context) error {
	panic("TODO")
}

func (api *API2) RequestMoney(_ echo.Context) error {
	panic("TODO")
}

func (api *API2) CalculateLTV(_ echo.Context) error {
	panic("TODO")
}
